# class DBus::RemoteBus

# D-Bus remote (TCP) bus class¶ ↑

This class may be used when connecting to remote (listening on a TCP socket) busses. You can also use it to connect to other non-standard path busses.

The specified socket_name should look like this: (for TCP) tcp:host=127.0.0.1,port=2687 (for Unix-socket) unix:path=/tmp/my_funky_bus_socket

you'll need to take care about authentification then, more info here: github.com/pangdudu/ruby-dbus/blob/master/README.rdoc

### Public Class Methods

new(socket_name) click to toggle source

Get the remote bus.

Calls superclass method DBus::Connection.new

    # File lib/dbus/bus.rb, line 659
    def initialize socket_name
      super(socket_name)
      send_hello
    end